## com.puppycrawl.tools.checkstyle.checks.j2ee
Class HomeInterfaceMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.HomeInterfaceMethodChecker

Direct Known Subclasses:
  LocalHomeInterfaceMethodChecker, RemoteHomeInterfaceMethodChecker

    public abstract class HomeInterfaceMethodChecker

extends MethodChecker

Checks the methods of a home interface.

Author:
  Rick Giles

Constructor Summary
`HomeInterfaceMethodChecker(AbstractInterfaceCheck aCheck)` Constructs a method checker for a home interface check.

Method Summary
`protected void` `checkCreateMethod(DetailAST aMethodAST)` Checks create<METHOD>(...) method requirements.
`void` `checkMethod(DetailAST aMethodAST)` Checks whether a method satisfies component requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkMethods, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomeInterfaceMethodChecker

    public HomeInterfaceMethodChecker(AbstractInterfaceCheck aCheck)

  Constructs a method checker for a home interface check.

  Parameters:
    `aCheck` - the home interface check.

Method Detail

### checkMethod

    public void checkMethod(DetailAST aMethodAST)

  Checks whether a method satisfies component requirements.

  Specified by:
    `checkMethod` in class `MethodChecker`
  Parameters:
    `aMethodAST` - the AST for the method definition.

### checkCreateMethod

    protected void checkCreateMethod(DetailAST aMethodAST)

  Checks create<METHOD>(...) method requirements.

  Parameters:
    `aMethodAST` - the AST for the method definition.

Back to the Checkstyle Home Page